local app = import "../../_templates/argocd_app.libsonnet";

[
app + {
  name:: "zabbix-proxy",
  namespace:: "monitoring",
  chart:: "zabbix-helm-chrt",
  repo:: "https://cdn.zabbix.com/zabbix/integrations/kubernetes-helm/7.0",
  version:: "0.0.*",
  values:: |||
    zabbixAgent:
      enabled: false
    zabbixProxy:
      env:
        - name: ZBX_HOSTNAME
          value: zabbix-proxy
        - name: ZBX_SERVER_HOST
          value: "zabbix.smsvc.net"
  |||
}
]
